require "defines"
require "util"

game.oninit(function()
	if not glob.Alyx_readers then
		glob.Alyx_readers = {}
	end

end)
game.onload(function()
	if not glob.Alyx_Readers then
		glob.Alyx_readers = {}
	end

end)


game.onevent(defines.events.ontick, function(event)
	if (#glob.Alyx_readers ~= 0 and (game.tick / 60) % 2 == 0) then
	
		local tempArray = {}
		for index, reader in ipairs(glob.Alyx_readers) do
			if reader.valid then
				tempArray[index] = game.getpollution(reader.position)
			else
				table.remove(glob.Alyx_readers, index)
			end
		end
		
		local tempSum = 0
		for index, pollution in ipairs(tempArray) do
			tempSum = tempSum + pollution
		end
		
			Alyx_ReaderUpdateGUI(game.player, tempSum / #tempArray)
	end

end)

game.onevent(defines.events.onbuiltentity, function(event)
	if event.createdentity.name == "pollution-reader" then
		table.insert(glob.Alyx_readers, event.createdentity)
	end
end)


function Alyx_ReaderUpdateGUI(player,AlyxPollutionValue)

	if player.gui.top.AlyxReader ~= nil then
		player.gui.top.AlyxReader.destroy()
	end
	
	player.gui.top.add{type="frame",name="AlyxReader",direction="vertical"}
	player.gui.top.AlyxReader.add{type="label",name="guiHeader",caption="Current Average Pollution:"}
	player.gui.top.AlyxReader.add{type="label",name="pollutionCount",caption=AlyxPollutionValue}
	
end